Class | Fog::Compute::Rackspace::Server
In: | lib/fog/rackspace/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

destroy flavor image images new private_ip_address public_ip_address ready? reboot save setup

### Attributes

password | [R] |

### Public Class methods

new(attributes={})

### Public Instance methods

destroy()
flavor()
image()
images()
private_ip_address()
public_ip_address()
ready?()
reboot(type = 'SOFT')
save()
setup(credentials = {})

[Validate]